REM http://sourceforge.net/projects/pyqt/files/PyQt4/PyQt-4.10.2/PyQt-win-gpl-4.10.2.zip

set OSGEO4W_ROOT=C:\OSGeo4W64
set P=pyqt4
set V=4.10.2
set B=1

set R=..\..\..\release\python\%P%
if not exist %R% mkdir %R%

set pf=%ProgramFiles(x86)%
if "%pf%"=="" set pf=%ProgramFiles%
call "%pf%\Microsoft Visual Studio 10.0\VC\vcvarsall.bat" x64
path %pf%\Microsoft Visual Studio 10.0\Common7\IDE;%PATH%

set OLDPATH=%PATH%
call "%OSGEO4W_ROOT%\bin\o4w_env.bat"
path %OLDPATH%;%OSGEO4W_ROOT%\bin;c:\cygwin\bin
echo on

set INCLUDE=%INCLUDE%;%OSGEO4W_ROOT%\include
set LIB=%LIB%;%LIB%\include

copy setup.hint %R%\setup.hint
copy configure.py ..

cd ..
set DESTDIR=%CD%\osgeo4w\install

if not exist %DESTDIR% mkdir %DESTDIR%
if not exist release mkdir release
for %%i in (release .) do copy %OSGEO4W_ROOT%\bin\qt.conf %%i
python configure.py ^
 	--verbose ^
	--confirm-license ^
	--destdir %DESTDIR%/apps/Python27/lib/site-packages ^
	--sipdir %DESTDIR%/apps/Python27/sip ^
	--plugin-destdir %DESTDIR%\apps\Qt4\plugins\designer ^
	--bindir %DESTDIR%/bin
if errorlevel 1 (echo config error & goto error)

nmake clean
if errorlevel 1 (echo clean error & goto error)
nmake
if errorlevel 1 (echo make error & goto error)

:install
nmake install
if errorlevel 1 (echo install error & goto error)

cd osgeo4w
if not exist install\etc\postinstall mkdir install\etc\postinstall
if not exist install\etc\preremove mkdir install\etc\preremove
copy postinstall.bat install\etc\postinstall\%P%.bat
copy preremove.bat install\etc\preremove\%P%.bat
sed ^
	-e 's/%DESTDIR:\=\\\\\\\\%/@osgeo4w@/g' ^
	-e 's/%OSGEO4W_ROOT:\=\\\\\\\\%/@osgeo4w@/g' ^
	-e 's/%OSGEO4W_ROOT:\=\/%/@osgeo4w@/g' ^
	install\apps\Python27\Lib\site-packages\PyQt4\pyqtconfig.py ^
	>install\apps\Python27\Lib\site-packages\PyQt4\pyqtconfig.py.tmpl

sed ^
	-e 's/%DESTDIR:\=\\\\%/@osgeo4w@/g' ^
	-e 's/%OSGEO4W_ROOT:\=\\\\%/@osgeo4w@/g' ^
	install\bin\pyuic4.bat ^
	>install\bin\pyuic4.bat.tmpl
del install\bin\pyuic4.bat

copy ..\LICENSE-MERGED %R%\%P%-%V%-%B%.txt
tar --remove-files -C install -cjf %R%\%P%-%V%-%B%.tar.bz2 apps etc bin
tar -C .. -cjf %R%\%P%-%V%-%B%-src.tar.bz2 osgeo4w/configure.py osgeo4w/package.cmd osgeo4w/postinstall.bat osgeo4w/preremove.bat osgeo4w/setup.hint

:error
